Nimply Developers
API ReferenceBrand kits

Price a brand import

POST
/v1/brand-kits/imports/estimate

Checks every source and returns the most AI credits reading them can use. Free; nothing is read or saved.

AuthorizationBearer <token>

Workspace API key (nim_live_...)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/brand-kits/imports/estimate" \  -H "Content-Type: application/json" \  -d '{    "sources": [      {        "kind": "website"      }    ]  }'
{  "sources": [    {      "kind": "website",      "label": "brewhaus.coffee",      "creditsMax": 12    }  ],  "creditsMax": 45,  "creditsAvailable": 1840}
Empty
Empty